Subject: Re: [PATCH] powerpc: Support for MPIC on native cell

From: Arnd Bergmann <[email-masked]>
Date: Thu, 19 Oct 2006 16:38:50 +0200

On Monday 16 October 2006 09:45, Benjamin Herrenschmidt wrote:
> +               /* The MPIC driver will get everything it needs from the
> +                * device-tree, just pass 0 to all arguments
> +                */
> +               mpic = mpic_alloc(dn, 0, 0, 0, 0, " MPIC     ");

Do you expect future users to do the same and just pass zeroes?
If so, maybe we should add a small wrapper like

static inline struct mpic *mpic_probe(struct device_node *dn)
{
	return mpic_alloc(dn, 0, 0, 0, 0, " MPIC     ");
}

in <asm/mpic.h>

	Arnd <><